Package org.springframework.cache.concurrent

# Class ConcurrentMapCacheFactoryBean

java.lang.Object
org.springframework.cache.concurrent.ConcurrentMapCacheFactoryBean

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.FactoryBean<ConcurrentMapCache>`, `org.springframework.beans.factory.InitializingBean`

public class ConcurrentMapCacheFactoryBean extends Object implements org.springframework.beans.factory.FactoryBean<ConcurrentMapCache>, org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.InitializingBean
`FactoryBean` for easy configuration of a `ConcurrentMapCache` when used within a Spring container. Can be configured through bean properties; uses the assigned Spring bean name as the default cache name.

Useful for testing or simple caching scenarios, typically in combination with `SimpleCacheManager` or dynamically through `ConcurrentMapCacheManager`.

Since:
  3.1
Author:
  Costin Leau, Juergen Hoeller

## Field Summary

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`ConcurrentMapCacheFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
`ConcurrentMapCache`
`getObject()`
`Class<?>`
`getObjectType()`
`boolean`
`isSingleton()`
`void`
`setAllowNullValues(boolean allowNullValues)`
Set whether to allow `null` values (adapting them to an internal null holder value).
`void`
`setBeanName(String beanName)`
`void`
`setName(String name)`
Specify the name of the cache.
`void`
`setStore(ConcurrentMap<Object,Object> store)`
Specify the ConcurrentMap to use as an internal store (possibly pre-populated).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConcurrentMapCacheFactoryBean

public ConcurrentMapCacheFactoryBean()

## Method Details

### setName

public void setName(String name)
Specify the name of the cache.

Default is "" (empty String).

### setStore

public void setStore(ConcurrentMap<Object,Object> store)
Specify the ConcurrentMap to use as an internal store (possibly pre-populated).

Default is a standard `ConcurrentHashMap`.

### setAllowNullValues

public void setAllowNullValues(boolean allowNullValues)
Set whether to allow `null` values (adapting them to an internal null holder value).

Default is "true".

### setBeanName

public void setBeanName(String beanName)

Specified by:
  `setBeanName` in interface `org.springframework.beans.factory.BeanNameAware`

### afterPropertiesSet

public void afterPropertiesSet()

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`

### getObject

@Nullable public ConcurrentMapCache getObject()

Specified by:
  `getObject` in interface `org.springframework.beans.factory.FactoryBean<ConcurrentMapCache>`

### getObjectType

public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<ConcurrentMapCache>`

### isSingleton

public boolean isSingleton()

Specified by:
  `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<ConcurrentMapCache>`